### Enumeration

# Qmi VoicePresentation

since: 1.14

#### Declaration

    enum Qmi.VoicePresentation

#### Description [src]

Remote party number presentation indicator.

Available since: 1.14

#### Members

`QMI_VOICE_PRESENTATION_ALLOWED`

  Allowed presentation.

  - Value: `0`
  - Available since: 1.14
`QMI_VOICE_PRESENTATION_RESTRICTED`

  Restricted presentation.

  - Value: `1`
  - Available since: 1.14
`QMI_VOICE_PRESENTATION_UNAVAILABLE`

  Unavailable presentation.

  - Value: `2`
  - Available since: 1.14
`QMI_VOICE_PRESENTATION_PAYPHONE`

  3GPP specific. Payphone presentation.

  - Value: `4`
  - Available since: 1.14

#### Type functions

###### qmi_voice_presentation_get_string

Gets the nickname string for the `QmiVoicePresentation` specified at `val`.

since: 1.14